Package org.eclipse.ecf.remoteservice.rest

# Class RestCallFactory

java.lang.Object
org.eclipse.ecf.remoteservice.rest.RestCallFactory

public class RestCallFactory extends Object
Factory to support the creation of `IRestCall` objects.

## Constructor Summary

Constructors
Constructor
Description
`RestCallFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IRestCall`
`createRestCall(String resourcePath)`
`static IRestCall`
`createRestCall(String fqMethod, Object[] params)`
`static IRestCall`
`createRestCall(String fqMethod, Object[] params, Map requestHeaders)`
`static IRestCall`
`createRestCall(String fqMethod, Object[] params, Map requestHeaders, long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RestCallFactory

public RestCallFactory()

## Method Details

### createRestCall

public static IRestCall createRestCall(String fqMethod, Object[] params, Map requestHeaders, long timeout)

### createRestCall

public static IRestCall createRestCall(String fqMethod, Object[] params, Map requestHeaders)

### createRestCall

public static IRestCall createRestCall(String fqMethod, Object[] params)

### createRestCall

public static IRestCall createRestCall(String resourcePath)